# { lib, config, ... }:

# let
#   cfg = config.base;

#   cosmicPath =
#     if cfg.desktopEnvironments.cosmic.enableSpecialisation then
#       ../../modules/desktop-environments/cosmic/specialisation.nix
#     else
#       ../../modules/desktop-environments/cosmic/default.nix;

#   hyprlandPath =
#     if cfg.desktopEnvironments.hyprland.enableSpecialisation then
#       ../../modules/desktop-environments/hyprland/specialisation.nix
#     else
#       ../../modules/desktop-environments/hyprland/default.nix;

#   extraImports = lib.optionals cfg.enable (
#     [ ./base-nogui ]
#     ++ lib.optional cfg.baseGui.enable ./base-gui
#     ++ lib.optional cfg.desktopEnvironments.cosmic.enable cosmicPath
#     ++ lib.optional cfg.desktopEnvironments.hyprland.enable hyprlandPath
#   );
# in
# {
#   imports = [ ./options.nix ] ++ extraImports;
# }
